### Method

# Snapd Snap get_publisher_id

since: 1.42

#### Declaration [src]

    const gchar*
    snapd_snap_get_publisher_id (
      SnapdSnap* snap
    )

#### Description [src]

Get the ID of the publisher who created this snap.

Available since: 1.42

Gets property | `Snapd.Snap:publisher-id`

#### Return value

Type: `const gchar*`

A publisher ID.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.